package com.bocloud.cmp.model.hmc.pcm;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;

public class PartitionUtil {
    private Integer id;
    private String uuid;
    private String type;
    private String name;
    private String state;
    private String affinityScore;
    private PartitionMemory memory;
    private PartitionProcessor processor;
    private PartitionNetwork network;
    @JSONField(name = "Storage")
    private HypervisorStorage storage;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getAffinityScore() {
        return affinityScore;
    }

    public void setAffinityScore(String affinityScore) {
        this.affinityScore = affinityScore;
    }

    public PartitionMemory getMemory() {
        return memory;
    }

    public void setMemory(PartitionMemory memory) {
        this.memory = memory;
    }

    public PartitionProcessor getProcessor() {
        return processor;
    }

    public void setProcessor(PartitionProcessor processor) {
        this.processor = processor;
    }

    public PartitionNetwork getNetwork() {
        return network;
    }

    public void setNetwork(PartitionNetwork network) {
        this.network = network;
    }

    public HypervisorStorage getStorage() {
        return storage;
    }

    public void setStorage(HypervisorStorage storage) {
        this.storage = storage;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
